import React from "react";
import { StyleSheet, View, Text, Button } from "react-native";

export default function SharedRegisterScreen({ navigation }) {
  return (
    <View style={styles.container}>
      <View style={styles.buttonContainer}>
        <Button
          title="Patient Register"
          onPress={() => {
            console.log("Patient registration");
            navigation.navigate("PatientConsentForm");
          }}
        />
        <View style={styles.separator} />
        <Button
          title="Practitioner Register"
          onPress={() => {
            console.log("PractitionerRegistration");
            navigation.navigate("PractitionerRegistration");
          }}
        />
      </View>
    </View>
  );
}
const styles = StyleSheet.create({
  container: {
    flex: 1,
    alignItems: "center",
    justifyContent: "center",
  },
  buttonContainer: {
    flexDirection: "row",
    marginVertical: 20,
  },
  separator: {
    width: 10,
  },
});
